CarrierTick = function()
----------------------------------------------------------------------------------------------------------
	if multi0.HasPrerequisites({ "aircraftcarrier" }) and not AircraftCarrierSelectState0 then
		AircraftCarrierSelectState0 = true
		Trigger.AfterDelay(1, function()
			if not AircraftCarrierState0 then 
				SelectAircraftCarrier0()
			end
		end)
	end
	if multi1.HasPrerequisites({ "aircraftcarrier" }) and not AircraftCarrierSelectState1 then
		AircraftCarrierSelectState1 = true
		Trigger.AfterDelay(1, function() 
			if not AircraftCarrierState1 then 
				SelectAircraftCarrier1()
			end
		end)
	end
	if multi2.HasPrerequisites({ "aircraftcarrier" }) and not AircraftCarrierSelectState2 then
		AircraftCarrierSelectState2 = true
		Trigger.AfterDelay(1, function() 
			if not AircraftCarrierState2 then 
				SelectAircraftCarrier2()
			end
		end)
	end
	if multi3.HasPrerequisites({ "aircraftcarrier" }) and not AircraftCarrierSelectState3 then
		AircraftCarrierSelectState3 = true
		Trigger.AfterDelay(1, function() 
			if not AircraftCarrierState3 then 
				SelectAircraftCarrier3()
			end
		end)
	end
----------------------------------------------------------------------------------------------------------
	Trigger.AfterDelay(1, function() CarrierTick() end)
end
SelectAircraftCarrier0 = function()
end
SelectAircraftCarrier1 = function()
end
SelectAircraftCarrier2 = function()
end
SelectAircraftCarrier3 = function()
end

